package com.bonus.canteen.core.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("支付扣款方式")
@Data
public class CustPayDeductionConfVO {
   @ApiModelProperty("扣款方式 1个人钱包 2补贴钱包 4红包")
   private Integer deductionType;
   @ApiModelProperty("扣款方式名称")
   private String deductionName;
   @ApiModelProperty("当前账户最低限额")
   private Integer limitAmount;
   @ApiModelProperty("当前顺序")
   private Integer deductionOrder;

   public Integer getDeductionType() {
      return this.deductionType;
   }

   public String getDeductionName() {
      return this.deductionName;
   }

   public Integer getLimitAmount() {
      return this.limitAmount;
   }

   public Integer getDeductionOrder() {
      return this.deductionOrder;
   }

   public void setDeductionType(final Integer deductionType) {
      this.deductionType = deductionType;
   }

   public void setDeductionName(final String deductionName) {
      this.deductionName = deductionName;
   }

   public void setLimitAmount(final Integer limitAmount) {
      this.limitAmount = limitAmount;
   }

   public void setDeductionOrder(final Integer deductionOrder) {
      this.deductionOrder = deductionOrder;
   }




}
